Package org.sunflow.image

# Class BlackbodySpectrum

java.lang.Object
org.sunflow.image.SpectralCurve
org.sunflow.image.BlackbodySpectrum

public class BlackbodySpectrum extends SpectralCurve

## Constructor Summary

Constructors
Constructor
Description
`BlackbodySpectrum(float temp)`

## Method Summary

Modifier and Type
Method
Description
`float`
`sample(float lambda)`
This function determines the actual spectral curve data.

### Methods inherited from class org.sunflow.image.SpectralCurve

`toXYZ`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlackbodySpectrum

public BlackbodySpectrum(float temp)

## Method Details

### sample

public float sample(float lambda)
Description copied from class: `SpectralCurve`
This function determines the actual spectral curve data. Note that the lambda parameter is assumed to be in nanometers.

Specified by:
  `sample` in class `SpectralCurve`
Parameters:
  `lambda` - wavelength to sample in nanometers
Returns:
  the value of the spectral curve at this point